Subject: bug#32243: 26.1; eldoc takes priority over flymake-diagnostics

From: João Távora <[email-masked]>
Date: Sat, 22 Aug 2020 17:05:43 +0100

Hi, Lars

Answering your question, the patch should NOT be applied.

The situation has now completely changed in master. Actually, the problem
is reversed, with flymake diagnostics taking priority over eldoc, which
isn't ideal either. Fortunately, the new system allows for these things to
be easily configured by the user, and also allows eldoc and flymake
messages to coexist. I'll open a new bug describing the current situation
soon.

Up to you if this one should be closed. If it isn't, I guess I can continue
the discussion here.

João

On Sat, Aug 22, 2020, 16:03 Lars Ingebrigtsen <[email-masked]> wrote:

> João Távora <[email-masked]> writes:
>
> > A naive fix for this could be
>
> [...]
>
> > which imitates what help-at-pt-maybe-display-does.
> >
> > It seems to work more or less well in my testing, but not always.
> Obviously
> > I haven't studied the full impact of this.
> >
> > Dmitry, do you have any thoughts on this?
>
> This was two years ago.  I've respun the patch; included below.
>
> Is this something that should be applied or not?
>
> diff --git a/lisp/emacs-lisp/eldoc.el b/lisp/emacs-lisp/eldoc.el
> index 4825b5c5e6..0bcd04f84a 100644
> --- a/lisp/emacs-lisp/eldoc.el
> +++ b/lisp/emacs-lisp/eldoc.el
> @@ -300,7 +300,9 @@ eldoc-minibuffer-message
>                  (when (stringp format-string)
>                    (apply #'format-message format-string args)))
>            (force-mode-line-update)))
> -    (apply #'message format-string args)))
> +    (unless (and (current-message)
> +                 (not (string= (current-message) "Quit")))
> +      (apply #'message format-string args))))
>
>  (make-obsolete
>   'eldoc-message "use `eldoc-documentation-functions' instead."
> "eldoc-1.1.0")
>
>
> --
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no
>